textures/skies/sky_dam_wils
{
	qer_editorimage textures/skies/sky_5.tga

	nocompress

	q3map_lightimage textures/skies/n_blue2.tga
	q3map_backsplash -1 -1
	q3map_globaltexture

	q3map_lightsubdivide 2048 
//	q3map_sun	0.274632 0.274632 0.39 30 315 45
	q3map_sun	0.274632 0.274632 0.39 60 315 45
	q3map_surfacelight 30

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	surfaceparm nodlight

//	fogvars ( .02 0.02 0.03 ) .0001
	fogvars ( .02 0.02 0.03 ) .0002
	skyfogvars ( .23 .23 .3 ) .01

	skyparms full 200 -
}

textures/skies/sky_dam_wils_skybox
{
	qer_editorimage textures/skies/sky_5.tga

	nocompress

	q3map_lightimage textures/skies/n_blue2.tga
	q3map_backsplash -1 -1
	q3map_globaltexture

	q3map_lightsubdivide 2048 
//	q3map_sun	0.274632 0.274632 0.39 30 315 45
	q3map_sun	0.274632 0.274632 0.39 60 315 45
	q3map_surfacelight 30

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	surfaceparm nodlight

//	fogvars ( .15 .15 .2 ) .0001
//	skyfogvars ( .23 .23 .3 ) .01

	skyparms full 200 -

	{
		map textures/skies/nightsky1.tga
		tcMod scale 16.0 16.0
		depthWrite
	}
	{
		map textures/skies/vil_clouds1.tga
		blendfunc blend
		tcMod scroll 0.001 0.00
		tcMod scale 2 1
	}
}

// Shader for flags on mp_dam - Wils
models\mapobjects\flag\flag_dam
{
	nomipmaps
	nopicmip
	cull disable
	{
        	map models\mapobjects\flag\flag_dam.tga
        	depthWrite
        	rgbGen lightingdiffuse
	}
}

//Working version of chateau_c08
textures/alpha/chateau_c08_wils
{
	qer_editorimage textures/alpha/chateau_c08.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	nomipmaps
	nopicmip
	cull disable
	{
        	map textures/alpha/chateau_c08.tga
		alphaFunc GE128
        	depthWrite
        	rgbGen vertex
	}
}

//Vertex lit version of dirt_m03_mung
textures/terrain/dirt_m03_mung_wils
{
	qer_editorimage textures/terrain/dirt_m03_mung.tga
	surfaceparm grasssteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight	
	{
		map textures/terrain/dirt_m03_mung.tga	
		rgbGen vertex
		alphaGen vertex
//		tcmod scale 0.05 0.05 
	}
}

//Vertex lit version of dirt_m03_mung
textures/terrain/grass_dm01_wils
{
	qer_editorimage textures/terrain/grass_dm01.tga
	surfaceparm grasssteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight	
	{
		map textures/terrain/grass_dm01.tga
		rgbGen vertex
		alphaGen vertex
//		tcmod scale 0.05 0.05 
	}
}
